fop 1.1

## org.apache.fop.fo
Class NullCharIterator

    java.lang.Object
      org.apache.fop.fo.CharIterator
          org.apache.fop.fo.NullCharIterator

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Iterator

    public class NullCharIterator

extends CharIterator

Class providing an iterator for zero characters. Used by the Block FO.

Constructor Summary
`NullCharIterator()` Constructor

Method Summary
`static CharIterator` `getInstance()` Obtain the singleton instance of the null character iterator.
`boolean` `hasNext()`
`char` `nextChar()`

Methods inherited from class org.apache.fop.fo.CharIterator
`clone, next, remove, replaceChar`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullCharIterator

    public NullCharIterator()

  Constructor

Method Detail

### getInstance

    public static CharIterator getInstance()

  Obtain the singleton instance of the null character iterator.

  Returns:
    the char iterator

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Specified by:
    `hasNext` in class `CharIterator`

### nextChar

    public char nextChar()
                  throws java.util.NoSuchElementException

  Specified by:
    `nextChar` in class `CharIterator`
  Returns:
    the character that is the next character in the collection
  Throws:
    `java.util.NoSuchElementException` - if there are no more characters (test for this condition with java.util.Iterator.hasNext()).

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.